# class Shell::Glob

### Public Class Methods

new(sh, pattern) click to toggle source
Calls superclass method

    # File lib/shell/builtin-command.rb, line 67
    def initialize(sh, pattern)
      super sh

      @pattern = pattern
    end

### Public Instance Methods

each(rs = nil) { |f| ... } click to toggle source

    # File lib/shell/builtin-command.rb, line 73
    def each(rs = nil)
      if @pattern[0] == ?/
        @files = Dir[@pattern]
      else
        prefix = @shell.pwd+"/"
        @files = Dir[prefix+@pattern].collect{|p| p.sub(prefix, "")}
      end
      rs =  @shell.record_separator unless rs
      for f in @files
        yield f+rs
      end
    end